import 'plugin_annotations.dart';

class FooInterface {
  static Object? instance;
}

@startupTask
class Foo {
  Foo._();
  static init() {
    FooInterface.instance = Foo._();
    print('normal');
  }

  @override
  String toString() => 'normal foo initialized success!';
}

@startupTask
class FooPro {
  FooPro._();
  static init() {
    FooInterface.instance = FooPro._();
    print('pro');
  }

  @override
  toString() => 'pro foo initialized success!';
}

@startupTask
class Bar {
  static Bar? instance;
  static init() {
    instance = Bar();
    print('bar');
  }

  @override
  toString() => 'bar initialized success!';
}

@onekitMixin
mixin FooMix {}

@onekitMixin
mixin BarMix {}
