import 'dart:io';

import 'package:flutter_test/flutter_test.dart';

void main() {
  setUpAll(
    () async => Process.run(
      'flutter',
      'pub run build_runner build --verbose'.split(' '),
    ),
  );

  test('startup_generator_test', () async {
    final res = await Process.run(
      'flutter',
      'test test/startup_generator_test.dart'.split(' '),
    );
    expect('All tests passed!'.allMatches(res.stdout).isNotEmpty, true);
  });
}
